DccChat (PircBot 0.9.5 - Paul's Java IRC Bot Framework)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibble.pircbot
Class DccChat

    java.lang.Object
      |
      +--org.jibble.pircbot.DccChat

public class DccChat
extends Object

This class is used to allow the bot to interact with a DCC Chat session.

Version:
  0.9.5 (Build time: Fri Jun 14 21:16:31 2002)
Author:
  Paul James Mutton, http://www.jibble.org/

Constructor Summary
`DccChat(PircBot bot, String sourceNick, String address, int port)` The constructor connects to the DCC Chat client.

Method Summary
`void` | `close()` Closes the DCC Chat connection.
`String` | `readLine()` Reads the next line of text from the client at the other end of our DCC Chat connection.
`void` | `sendLine(String line)` Sends a line of text to the client at the other end of our DCC Chat connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DccChat

    public DccChat(PircBot bot,
                   String sourceNick,
                   String address,
                   int port)
            throws IOException

  The constructor connects to the DCC Chat client.

Method Detail

### readLine

    public String readLine()
                    throws IOException

  Reads the next line of text from the client at the other end of our DCC Chat connection. This method blocks until something can be returned. If the connection has closed, null is returned.

    `IOException`

### sendLine

    public void sendLine(String line)
                  throws IOException

  Sends a line of text to the client at the other end of our DCC Chat connection.

  Parameters:
    `line` - The line of text to be sent. This should not include linefeed characters.
    `IOException`

### close

    public void close()
               throws IOException

  Closes the DCC Chat connection.

    `IOException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD